SolrConstantScoreQuery.ConstantWeight (Solr 3.6.2 API)
Keywords: org.apache.solr.search.SolrConstantScoreQuery.ConstantWeight class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.search
Class SolrConstantScoreQuery.ConstantWeight

    java.lang.Object
      org.apache.lucene.search.Weight
          org.apache.solr.search.SolrConstantScoreQuery.ConstantWeight

All Implemented Interfaces:
  Serializable

Enclosing class:
  SolrConstantScoreQuery

    protected class SolrConstantScoreQuery.ConstantWeight

extends Weight

See Also:
  Serialized Form

Constructor Summary
`SolrConstantScoreQuery.ConstantWeight(Searcher searcher)`

Method Summary
`Explanation` | `explain(IndexReader reader, int doc)`
`Query` | `getQuery()`
`float` | `getValue()`
`void` | `normalize(float norm)`
`Scorer` | `scorer(IndexReader reader, boolean scoreDocsInOrder, boolean topScorer)`
`float` | `sumOfSquaredWeights()`

Methods inherited from class org.apache.lucene.search.Weight
`scoresDocsOutOfOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolrConstantScoreQuery.ConstantWeight

    public SolrConstantScoreQuery.ConstantWeight(Searcher searcher)
                                          throws IOException

Throws:
  `IOException`

Method Detail

### getQuery

    public Query getQuery()

  Specified by:
    `getQuery` in class `Weight`

### getValue

    public float getValue()

  Specified by:
    `getValue` in class `Weight`

### sumOfSquaredWeights

    public float sumOfSquaredWeights()
                              throws IOException

  Specified by:
    `sumOfSquaredWeights` in class `Weight`
  Throws:
    `IOException`

### normalize

    public void normalize(float norm)

  Specified by:
    `normalize` in class `Weight`

### scorer

    public Scorer scorer(IndexReader reader,
                         boolean scoreDocsInOrder,
                         boolean topScorer)
                  throws IOException

  Specified by:
    `scorer` in class `Weight`
  Throws:
    `IOException`

### explain

    public Explanation explain(IndexReader reader,
                               int doc)
                        throws IOException

  Specified by:
    `explain` in class `Weight`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD